libdvbv5: dvb_mpeg_ts Struct Reference

libdvbv5 1.26.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_mpeg_ts Struct Reference
Digital TV table parsing

MPEG TS header. More...

`#include <mpeg_ts.h>`

## Data Fields
uint8_t | sync_byte
union { |
uint16_t bitfield |
struct { |
uint16_t pid:13 |
uint16_t priority:1 |
uint16_t payload_start:1 |
uint16_t tei:1 |
} |  |
}; |  |
struct { |
uint8_t continuity_counter:4 |
uint8_t payload:1 |
uint8_t adaptation_field:1 |
uint8_t scrambling:2 |
}; |  |
struct dvb_mpeg_ts_adaption | adaption []

## Detailed Description

MPEG TS header.

Parameters

  sync_byte | DVB_MPEG_TS
  tei | 1 bit Transport Error Indicator
  payload_start | 1 bit Payload Unit Start Indicator
  priority | 1 bit Transport Priority
  pid | 13 bits Packet Identifier
  scrambling | 2 bits Scrambling control
  adaptation_field | 1 bit Adaptation field exist
  payload | 1 bit Contains payload
  continuity_counter | 4 bits Continuity counter
  adaption | Pointer to optional adaption fiels (struct dvb_mpeg_ts_adaption)

Definition at line 101 of file mpeg_ts.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_mpeg_ts

## ◆ [struct]

struct { ... } dvb_mpeg_ts

## ◆ adaptation_field

uint8_t dvb_mpeg_ts::adaptation_field

Definition at line 115 of file mpeg_ts.h.

## ◆ adaption

struct dvb_mpeg_ts_adaption dvb_mpeg_ts::adaption[]

Definition at line 118 of file mpeg_ts.h.

## ◆ bitfield

uint16_t dvb_mpeg_ts::bitfield

Definition at line 104 of file mpeg_ts.h.

## ◆ continuity_counter

uint8_t dvb_mpeg_ts::continuity_counter

Definition at line 113 of file mpeg_ts.h.

## ◆ payload

uint8_t dvb_mpeg_ts::payload

Definition at line 114 of file mpeg_ts.h.

## ◆ payload_start

uint16_t dvb_mpeg_ts::payload_start

Definition at line 108 of file mpeg_ts.h.

## ◆ pid

uint16_t dvb_mpeg_ts::pid

Definition at line 106 of file mpeg_ts.h.

## ◆ priority

uint16_t dvb_mpeg_ts::priority

Definition at line 107 of file mpeg_ts.h.

## ◆ scrambling

uint8_t dvb_mpeg_ts::scrambling

Definition at line 116 of file mpeg_ts.h.

## ◆ sync_byte

uint8_t dvb_mpeg_ts::sync_byte

Definition at line 102 of file mpeg_ts.h.

## ◆ tei

uint16_t dvb_mpeg_ts::tei

Definition at line 109 of file mpeg_ts.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_ts.h